%global pypi_name oslo.messaging

Summary:        Oslo Messaging API
Name:           python-oslo-messaging
Version:        12.7.1
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/%{pypi_name}/latest/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
The Oslo messaging API supports RPC and notifications over a number of different 
messaging transports.

%package -n python3-oslo-messaging
Summary:        Oslo Messaging API
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-pyyaml python3-webob python3-amqp python3-cachetools
BuildRequires:  python3-debtcollector python3-futurist python3-kombu
BuildRequires:  python3-oslo-config python3-oslo-log python3-oslo-middleware
BuildRequires:  python3-oslo-serialization python3-oslo-service python3-oslo-utils
BuildRequires:  python3-stevedore python3-pyngus
Requires:       python3-pyyaml python3-webob python3-amqp python3-cachetools
Requires:       python3-debtcollector python3-futurist python3-kombu
Requires:       python3-oslo-config python3-oslo-log python3-oslo-middleware
Requires:       python3-oslo-serialization python3-oslo-service python3-oslo-utils
Requires:       python3-pbr python3-stevedore python3-pyngus
Provides:       python-oslo-messaging

%description -n python3-oslo-messaging
The Oslo messaging API supports RPC and notifications over a number of different 
messaging transports.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

# requires confluent-kafka 
#%check
#%{__python3} setup.py test

%files -n python3-oslo-messaging
%{_docdir}/*
%{_bindir}/oslo-messaging-send-notification
%dir %{python3_sitelib}/*
%{python3_sitelib}/oslo_messaging
%{python3_sitelib}/*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.7.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 12.7.1-1
- initial build
